class CreateCategories < ActiveRecord::Migration[6.0]
  def change
    create_table :categories do |t|
      t.string       :name
      t.string       :slug
      t.boolean      :enabled,   :default => false
      t.text         :description
      t.integer      :image_file_id
      t.integer      :position
      t.references   :parent,   index: true
      t.string       :permalink
      t.boolean      :front_page,   :default => false

      t.timestamps
    end
  end
end
